<template>
  <sub-main :contents="contents"></sub-main>
</template>

<script>
import subMain from "../../components/sub/subMain.vue";

export default {
  head: {
    title: 'Research Labs | THORChain.org',
    meta: [
        { property: "og:locale", content: "en_US" },
        { property: "og:type", content: "website" },
        { property: "og:title", content: "Research Labs | THORChain.org" },
        {
          property: "og:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { property: "og:url", content: process.env.baseUrl },
        { property: "og:site_name", content: "THORChain" },
        {
          property: "og:image",
          content: process.env.baseUrl + "/images/meta-research-labs.png",
        },
        { property: "og:image:width", content: "876" },
        { property: "og:image:heigh", content: "438" },
        { name: "twitter:creator", content: "@thorchain" },
        { name: "twitter:site", content: "@thorchain" },
        { name: "twitter:title", content: "Research Labs | THORChain.org" },
        {
          name: "twitter:description",
          content:
            "THORChain aims to decentralize cryptocurrency liquidity via a network of public THORNodes and ecosystem products. Access to its native and cross-chain liquidity is open to any person, product or institution.",
        },
        { name: "twitter:card", content: "summary_large_image" },
        {
          name: "twitter:image",
          content: process.env.baseUrl + "/images/meta-research-labs.png",
        },
      ],
  },
  data() {
    return {
      contents: [
        {
          component: "header",
          settings: {
            title: "Research Labs"
          },
        },
        {
          component: "list",
          settings: {
            leftSection: {
              title: "Always Innovating",
              text: "Checkout what's coming next to THORChain.",
            },
            links: [
              {
                length: 5,
                title: "SOON",
                text: "Order Book →",
                right: false,
                linkProps: this.$links("research_labs_twitter_protocol_owned_liquidity")
              },
              {
                length: 5,
                title: "SOON",
                text: "Economic Design 🔥 →",
                right: false,
                linkProps: this.$links("research_labs_thorchain_gitlab_economic_design")
              },
              {
                length: 5,
                title: "SOON",
                text: "Lending Design 🔥 →",
                right: false,
                linkProps: this.$links("research_labs_thorchain_gitlab_lending_desing")
              },
              {
                length: 5,
                title: "TBD",
                text: "Protocol Owned Liquidity (POL) →",
                right: false,
                linkProps: this.$links("research_labs_twitter_protocol_owned_liquidity")
              },
              {
                length: 5,
                title: "TBD",
                text: "Protocol Insurance Fund →",
                right: false,
                linkProps: this.$links("research_labs_gitlab_protocol_insurance_fund")
              },
              {
                length: 5,
                title: "TBD",
                text: "Vault Nodes →",
                right: false,
                linkProps: this.$links("research_labs_gitlab_vault_nodes")
              },
              {
                length: 5,
                title: "TBD",
                text: "Lending Model →",
                right: false,
                linkProps: this.$links("research_labs_thorchain_gitlab_lending_model")
              },
              {
                length: 5,
                title: "TBD",
                text: "Composite Model →",
                right: false,
                linkProps: this.$links("research_labs_thorchain_gitlab_composite_mode")
              },
            ],
          },
        },
      ],
    };
  },
};
</script>

<style>
</style>